Skip to main content
GET
/
api
/
v1
/
chat
/
sessions
List Sessions
curl --request GET \
  --url https://api.example.com/api/v1/chat/sessions \
  --header 'Authorization: Bearer <token>'
{
  "sessions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "session_type": "<string>",
      "title": "<string>",
      "status": "<string>",
      "message_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "team_type": "<string>",
      "team_display_name": "<string>"
    }
  ],
  "total": 123,
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
team_id
string<uuid> | null
workspace_id
string<uuid> | null

Response

Successful Response

Paginated list of chat sessions.

sessions
ChatSessionResponse · object[]
required
total
integer
required
has_more
boolean
required